## sepolgen 1.0.11

=== src/sepolgen/Makefile ===
PYTHONLIBDIR ?= $(shell  python -c "from distutils.sysconfig import *; print get_python_lib(1)")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/sepolgen

install:
	-mkdir -p $(PACKAGEDIR)
	install -m 644 *.py $(PACKAGEDIR)

clean:
	rm -f parser.out parsetab.py
	rm -f *~ *.pyc

=== src/share/Makefile ===
SHAREDIR ?= $(DESTDIR)/var/lib/sepolgen

install:
	-mkdir -p $(SHAREDIR)
	install -m 644 perm_map $(SHAREDIR)

clean:
	rm -f *~

## sepolgen 1.1.5

=== debian/changelog ===
sepolgen (1.1.5-3) unstable; urgency=low

  * Team upload.
  * Bump python-setools dependency to >= 3.3.7-2

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 19:39:48 +0100

sepolgen (1.1.5-2) unstable; urgency=low

  * Team upload.
  * Move to dh sequence and dh_python2
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further change)
    - Restructure long description and remove leading article of short
      description to please lintian
    - Drop C/P/R for sepolgen binary package, it's gone for a long time
    - Add python-selinux and python-setools as build-dependency
    - Add python-selinux and python-setools as dependency (Closes: #662600)
    - Update Vcs-* fields
    - Put the package under Debian SELinux team maintenance
  * Switch to dpkg-source 3.0 (quilt) format
  * Add debian/gbp.conf file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 Mar 2012 23:07:45 +0100

sepolgen (1.1.5-1) unstable; urgency=low

  * New upstream version, adds support for filename trans and some small
    fixes.

 -- Russell Coker <russell@coker.com.au>  Tue, 28 Feb 2012 16:48:11 +1100

sepolgen (1.1.0-1) unstable; urgency=low

  * New upstream release for version bump

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 15:28:37 +1000

sepolgen (1.0.23-1) unstable; urgency=low

  * New upstream release
    + Fix unit tests from Dan Walsh.
    + improve parser error recovery from Karl MacMillan.
    + Add since-last-boot option to audit2allow from Dan Walsh.
    + Fix sepolgen output to match what Chris expects for upstream
      refpolicy from Dan Walsh. 
    + Add dontaudit flag to audit2allow from Dan Walsh.
    + fix sepolgen to read a "type 1403" msg as a policy load by Stephen
      Smalley <sds@tycho.nsa.gov> 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 10:31:28 -0700

sepolgen (1.0.18-1) unstable; urgency=low

  * New upstream point release. Add support for Xen ocontexts from Paul
    Nuzzi. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 23:28:53 -0500

sepolgen (1.0.17-3) unstable; urgency=low

  * [a1816e2]: [topic--audit-msg-fix]: fix detection of policy loads
    Originally audit2allow used the avc: allowed message generated by
    auditallow statement for load_policy to identify policy reloads.
    Later it was switched to use the MAC_POLICY_LOAD events generated by
    the audit framework. Those events should still get logged via printk
    if auditd is not running, but it appears that the code
    (audit_printk_skb) will then log the type= field as an integer
    rather than a string, and audit2allow/sepolgen only looks for the
    string MAC_POLICY_LOAD. So I suspect that this would be resolved by
    modifying sepolgen/audit.py to also match on type=1403 for load
    messages. 
    Bug fix: "audit2allow -l doesn&#39;t work", thanks to Russell Coker
                                                        (Closes: #503252).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 2009 02:42:59 -0500

sepolgen (1.0.17-2) unstable; urgency=low

  * [8ed32c1]:policycoreutils, sepolgen (sepolgen-ifgen) issues
    I am running into an issue with sepolgen. Debian ships more
    than one version of the refpolicy, a default one, and a MLS enabled
    one. So, the include files live in either
    /usr/share/selinux/{default,mls}/include sepolgen (in
    src/sepolgen/defaults.py) sets refpolicy_devel() to a single
    location -- and thus, only one version of the security policy may be
    supported. So, sepolgen-ifgen from policycoreutils can only work
    with one policy, which may not be the one installed on the target
    machine. Could this be made configurable, somehow? As far as I can
    see, sepolgen's python library does not offer any way to set the
    value. This change fixes that. Now you may set the path to look for
    development headers in /etc/selinux/sepolgen.conf, in the variable
    SELINUX_DEVEL_PATH. The builtin default will have it work on Debian
    and fedora machines out of the box.
    Bug fix: "sepolgen-ifgen fails", thanks to Martin Godisch
                                                     (Closes: #534305).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Aug 2009 12:57:50 -0500

sepolgen (1.0.17-1) unstable; urgency=low

  * New upstream point release
    + Fix typo in RoleTypeSet from Marshall Miller.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Jun 2009 18:04:02 -0500

sepolgen (1.0.16-1) unstable; urgency=low

  * New upstream release
    + Convert sepolgen to using hashlib instead of the deprecated md5
      module from Dan Walsh.
    + fix to return length of role dict for len(roles) from Dan Walsh.
      Bug fix: "python2.6 and python-sepolgen", thanks to Kees Cook
      Patch incorporated upstream.                    (Closes: #525197).
    + fix multiple gen_requires block generation from Dan Walsh.
  * [e171cfe]: Updated standards version. no changes.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Jun 2009 14:30:39 -0500

sepolgen (1.0.13-1) unstable; urgency=low

  * New upstream release
    + Only append s0 suffix if MLS is enabled from Karl MacMillan.
    + Fix generation of role-type and role allow rules from Karl
      MacMillan.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 09 Feb 2009 23:31:58 -0600

sepolgen (1.0.11-5) unstable; urgency=low

  * Bug fix: "Python errors during upgrade", thanks to Frans Pop
    This is a serious bug.                       (Closes: #499087).
  * Bug fix: "typo in package description", thanks to Andreas Juch
    This is a documentation bug with a one character fix.
                                                 (Closes: #495595).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 16 Sep 2008 01:53:54 -0500

sepolgen (1.0.11-4) unstable; urgency=high

  * Include patch from Jan Hülsbergen to fix module naming.
    Closes: #487212
  * This patch is necessary for full SE Linux functionality in Lenny.



=== debian/control ===
Source: sepolgen
VCS-Git: git://anonscm.debian.org/git/selinux/sepolgen.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/sepolgen.git;a=summary
Priority: optional
Section: python
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-selinux, python-setools
X-Python-Version: >= 2.5

Package: python-sepolgen
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-selinux, python-setools (>= 3.3.7-2)
Description: Python module used in SELinux policy generation
 This package contains a Python module that forms the core of the modern
 audit2allow (which is a part of the package policycoreutils).
 .
 The sepolgen library is structured to give flexibility to the application
 using it. The library contains: Reference Policy Representation,
 which are Objects for representing policies and the reference policy
 interfaces. Secondly, it has objects and algorithms for representing
 access and sets of access in an abstract way and searching that
 access. It also has a parser for reference policy "headers". It
 contains infrastructure for parsing SELinux related messages as
 produced by the audit system. It has facilities for generating policy
 based on required access.

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://userspace.selinuxproject.org/trac/wiki/Releases \
 http://userspace.selinuxproject.org/releases/.*/devel/sepolgen-(.*)\.tar\.gz

#http://userspace.selinuxproject.org/releases/current/devel/sepolgen-(.*)\.tar\.gz
#http://www.nsa.gov/selinux/code/download-trunk.cfm ../archives/sepolgen-(.*)\.tgz

## sepolgen 1.1.9

=== debian/changelog ===
sepolgen (1.1.9-2) unstable; urgency=low

  * Team upload.
  * d/p/0001-sepolgen-Properly-set-the-user-local-before-calculat.patch:
    Properly set the locale when calculating the bootdate (Closes: #677829)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 May 2013 22:07:17 +0200

sepolgen (1.1.9-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * debian/control: Add Homepage field

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 May 2013 20:30:18 +0200

sepolgen (1.1.8-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Drop d/p/0001-fix-detection-of-policy-loads.patch, applied upstream
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"
  * debian/watch: Fix watch file URL

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2012 18:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-selinux, python-setools
 X-Python-Version: >= 2.5
+Homepage: http://userspace.selinuxproject.org/
 
 Package: python-sepolgen
 Architecture: all

## sepolgen 1.2.1

=== src/sepolgen/Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 PYTHONLIBDIR ?= $(shell  python -c "from distutils.sysconfig import *; print get_python_lib(1)")
 PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/sepolgen
 
-install:
+all:
+
+install: all
 	-mkdir -p $(PACKAGEDIR)
 	install -m 644 *.py $(PACKAGEDIR)

=== debian/changelog ===
sepolgen (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for VCS-Git field
  * Drop d/p/0001-sepolgen-Properly-set-the-user-local-before-calculat.patch:
    Proper fix has been applied in policycoreutils 2.2

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 18:37:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: sepolgen
-VCS-Git: git://anonscm.debian.org/git/selinux/sepolgen.git
+VCS-Git: git://anonscm.debian.org/selinux/sepolgen.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/sepolgen.git;a=summary
 Priority: optional
 Section: python
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-selinux, python-setools
 X-Python-Version: >= 2.5
 Homepage: http://userspace.selinuxproject.org/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	$(MAKE) test || true

=== debian/watch ===
version=3

http://userspace.selinuxproject.org/releases/(\d+)/sepolgen-(.*)\.tar\.gz

## sepolgen 1.2.2

=== debian/changelog ===
sepolgen (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Nov 2015 18:32:54 +0100

sepolgen (1.2.2-2) experimental; urgency=medium

  * Team upload.
  * debian/control:
    - Add a dependency against checkpolicy package, we have direct call to
      semodule_package executable
    - Add a dependency against the make package, make is used to automatically
      create modules using audit2allow
    - Add a Recommends against selinux-policy-dev, the Makefile from that
      package might be used to generate modules when using audit2allow

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Sep 2015 16:04:42 +0200

sepolgen (1.2.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * debian/watch: Update the watchfile URL
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/control: Bump {build-}dependency against python-selinux to match
    the release

 -- Laurent Bigonville <bigon@debian.org>  Thu, 04 Jun 2015 08:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,25 @@
 Priority: optional
 Section: python
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-selinux, python-setools
+Uploaders: Manoj Srivastava <srivasta@debian.org>,
+           Russell Coker <russell@coker.com.au>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               python (>= 2.6.6-3~),
+               python-selinux (>= 2.4),
+               python-setools
 X-Python-Version: >= 2.5
 Homepage: http://userspace.selinuxproject.org/
 
 Package: python-sepolgen
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-selinux, python-setools (>= 3.3.7-2)
+Depends: checkpolicy (>= 2.4),
+         make,
+         python-selinux (>= 2.4),
+         python-setools (>= 3.3.7-2),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: selinux-policy-dev
 Description: Python module used in SELinux policy generation
  This package contains a Python module that forms the core of the modern
  audit2allow (which is a part of the package policycoreutils).

=== debian/watch ===
version=3

https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/(?:\d*)/sepolgen-([\d\.]*)\.tar\.gz

## sepolgen 1.2.3

=== debian/changelog ===
sepolgen (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/gbp.conf: Sign tags by default
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* to please lintian (again)
  * debian/control: Add dh-python to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 21:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: sepolgen
-VCS-Git: git://anonscm.debian.org/selinux/sepolgen.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/sepolgen.git;a=summary
+VCS-Git: https://anonscm.debian.org/git/selinux/sepolgen.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/sepolgen.git;a=summary
 Priority: optional
 Section: python
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python (>= 2.6.6-3~),
-               python-selinux (>= 2.4),
+               python-selinux (>= 2.5),
                python-setools
 X-Python-Version: >= 2.5
 Homepage: http://userspace.selinuxproject.org/
 
 Package: python-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 2.4),
+Depends: checkpolicy (>= 2.5),
          make,
-         python-selinux (>= 2.4),
+         python-selinux (>= 2.5),
          python-setools (>= 3.3.7-2),
          ${misc:Depends},
          ${python:Depends}

## sepolgen 2.6

=== debian/changelog ===
sepolgen (2.6-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 version of the python module

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 Dec 2016 14:04:27 +0100

sepolgen (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Nov 2016 17:41:15 +0100

sepolgen (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * Also build a python3 package
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Ship /var/lib/sepolgen/perm_map in the python3 package as it's more likely
    to be installed

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Nov 2016 13:55:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,25 @@
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python (>= 2.6.6-3~),
-               python-selinux (>= 2.5),
-               python-setools
-X-Python-Version: >= 2.5
+               python3 (>= 3.2),
+               python3-selinux (>= 2.6),
+               python3-setools (>= 4.0)
+X-Python3-Version: >= 3.2
 Homepage: http://userspace.selinuxproject.org/
 
-Package: python-sepolgen
+Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 2.5),
+Depends: checkpolicy (>= 2.6),
          make,
-         python-selinux (>= 2.5),
-         python-setools (>= 3.3.7-2),
+         python3-selinux (>= 2.6),
+         python3-setools (>= 4.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: selinux-policy-dev
-Description: Python module used in SELinux policy generation
- This package contains a Python module that forms the core of the modern
+Breaks: python-sepolgen (<< 2.6)
+Replaces: python-sepolgen (<< 2.6)
+Description: Python3 module used in SELinux policy generation
+ This package contains a Python3 module that forms the core of the modern
  audit2allow (which is a part of the package policycoreutils).
  .
  The sepolgen library is structured to give flexibility to the application

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYTHON=python3

%:
	dh $@ --with python3

override_dh_auto_test:
	$(MAKE) test || true
